#
# spec file for package perl-Test-MockObject
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-MockObject
Version:        1.20150527
Release:        4.1
%define cpan_name Test-MockObject
Summary:        Perl extension for emulating troublesome interfaces
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-MockObject/
Source0:        http://www.cpan.org/authors/id/C/CH/CHROMATIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CGI) >= 4.15
BuildRequires:  perl(Test::Exception) >= 0.310000
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Warn) >= 0.23
BuildRequires:  perl(UNIVERSAL::can) >= 1.20110617
BuildRequires:  perl(UNIVERSAL::isa) >= 1.20110614
Requires:       perl(UNIVERSAL::can) >= 1.20110617
Requires:       perl(UNIVERSAL::isa) >= 1.20110614
%{perl_requires}

%description
It's a simple program that doesn't use any other modules, and those are
easy to test. More often, testing a program completely means faking up
input to another module, trying to coax the right output from something
you're not supposed to be testing anyway.

Testing is a lot easier when you can control the entire environment. With
Test::MockObject, you can get a lot closer.

Test::MockObject allows you to create objects that conform to particular
interfaces with very little code. You don't have to reimplement the
behavior, just the input and the output.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Jun  7 2015 coolo@suse.com
- updated to 1.20150527
  see /usr/share/doc/packages/perl-Test-MockObject/Changes
  1.20150527 2015-05-27 08:33:52-07:00 America/Los_Angeles
  - improved dependencies (build/run/requires), (Olivier Mengué, GH PR #10)
  - improved runtime loading (Olivier Mengué, GH PR #11)
  1.20150521 2015-05-21 09:09:19-07:00 America/Los_Angeles
  - updated CGI dependency
  - improved README for GitHub (Rob Van Dam, GH PR #9)
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.20140408
  see /usr/share/doc/packages/perl-Test-MockObject/Changes
  1.20140408 2014-04-07 17:38:44-07:00 America/Los_Angeles
  - enabled Travis CI (no user-visible changes)
  - improved fields-based object support (Olivier Mengué, Maxime Soulé)
  1.20140328 2014-03-28 16:17:59-07:00 America/Los_Angeles
  - support added for fields-based objects (Gavin Mogan, RT #84535)
* Tue Mar 18 2014 coolo@suse.com
- regenerate spec file for 1.20120301
* Tue Mar 11 2014 rschweikert@suse.com
- fix license string
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Jul 15 2010 pascal.bleser@opensuse.org
- initial package (1.09)
